Bug 130895

Summary: Remove hostThisRegister() and hostThisValue()
Product: WebKit Reporter: Dániel Bátyai <dbatyai.u-szeged>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, cgarcia, commit-queue, eric.carlson, ggaren, glenn, jer.noble, philipj, sergio
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Proposed patch
none
Proposed patch none

Description Dániel Bátyai 2014-03-28 05:36:54 PDT
in JavaScriptCore/interpreter/CallFrame.h:268
// FIXME: Remove these.

Removed hostThisRegister() and hostThisValue() and instead use thisArgumentOffset() and thisValue() respectively.
Comment 1 Dániel Bátyai 2014-03-28 05:55:15 PDT
Created attachment 228044 [details]
Proposed patch
Comment 2 Geoffrey Garen 2014-03-28 09:03:07 PDT
Comment on attachment 228044 [details]
Proposed patch

r=me
Comment 3 WebKit Commit Bot 2014-03-29 08:47:55 PDT
Comment on attachment 228044 [details]
Proposed patch

Rejecting attachment 228044 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 228044, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
9 succeeded at 691 (offset -6 lines).
Hunk #10 succeeded at 708 (offset -6 lines).
patching file Source/WebCore/bridge/objc/objc_runtime.mm
patching file Source/WebCore/bridge/runtime_method.cpp
patching file Source/WebKit2/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit2/WebProcess/Plugins/Netscape/JSNPMethod.cpp

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Geoffrey Garen']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.appspot.com/results/6003747515793408
Comment 4 Dániel Bátyai 2014-03-31 03:06:34 PDT
Created attachment 228163 [details]
Proposed patch
Comment 5 WebKit Commit Bot 2014-03-31 03:43:48 PDT
Comment on attachment 228163 [details]
Proposed patch

Clearing flags on attachment: 228163

Committed r166493: <http://trac.webkit.org/changeset/166493>
Comment 6 WebKit Commit Bot 2014-03-31 03:43:54 PDT
All reviewed patches have been landed.  Closing bug.